## aardvark-dns 1.0.3

=== debian/changelog ===
aardvark-dns (1.0.3-1) unstable; urgency=medium

  * Initial release, Closes: #1014718

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 05 Aug 2022 00:00:30 +0200
