=== debian/control ===
Source: aardvark-dns
Section: net
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 librust-anyhow-dev,
 librust-async-broadcast-dev,
 librust-chrono-dev,
 librust-clap+derive-dev,
 librust-futures-util-dev,
 librust-resolv-conf-dev,
 librust-signal-hook-dev,
 librust-strsim-dev,
 librust-syslog-dev,
 librust-termcolor-dev,
 librust-textwrap-dev,
 librust-tokio+full-dev,
 librust-trust-dns-client-dev,
 librust-trust-dns-proto-dev,
 librust-trust-dns-server-dev,
 libstd-rust-dev <!nocheck>,
 rustc:native <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/containers/netavark
Vcs-Browser: https://salsa.debian.org/debian/netavark
Vcs-Git: https://salsa.debian.org/debian/netavark.git
Rules-Requires-Root: no

Package: aardvark-dns
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: podman
Description: Container-focused DNS server
 Netavark is designed to work with but is also applicable
 for other OCI container management applications.
