## aardvark-dns 1.4.0

=== debian/changelog ===
aardvark-dns (1.4.0-5) unstable; urgency=medium

  * Build against clap version 4, Closes: #1040876, #1040877

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Sep 2023 20:45:48 -0400

aardvark-dns (1.4.0-4) unstable; urgency=medium

  [ Peter Green ]
  * Remove upper limit from cargo dependency on async-broadcast, to fix FTBFS
    Closes: #1038148

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Jun 2023 20:55:48 -0400

aardvark-dns (1.4.0-3) unstable; urgency=medium

  [ Peter Green ]
  * Depend on non-virtual package librust-clap-3+derive-dev, Closes: #1028648

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 15 Jan 2023 02:05:56 -0500

aardvark-dns (1.4.0-2) unstable; urgency=medium

  * update dns-proto-server patch with upstream, verified to
    actually work using instruction in linked bug, Closes: #1024980

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 09 Jan 2023 15:40:25 -0500

aardvark-dns (1.4.0-1) unstable; urgency=medium

  * New upstream release
  * Fix package description, Closes: #1016767
  * Run the testsuite
  * tighten dependency on netavark

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Jan 2023 10:36:17 -0500
