=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  librust-anyhow-dev,
  librust-async-broadcast-dev,
  librust-chrono-dev,
- librust-clap+derive-dev,
+ librust-clap-4+derive-dev,
  librust-futures-util-dev,
+ librust-nix-dev,
  librust-resolv-conf-dev,
  librust-signal-hook-dev,
  librust-strsim-dev,
@@ -30,8 +31,8 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.4)
 Enhances: podman
 Description: Container-focused DNS server
- Netavark is designed to work with but is also applicable
- for other OCI container management applications.
+ Netavark is designed to work with podman but is also applicable for other OCI
+ container management applications.
