## aardvark-dns 1.6.0

=== debian/changelog ===
aardvark-dns (1.6.0-1ubuntu1) noble; urgency=medium

  * Update Build-Depends (LP: #2063401)
  * Add patch to fix ipv6 test with rustc >= 1.72

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Apr 2024 00:31:27 -0400

aardvark-dns (1.6.0-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Apr 2024 08:06:39 -0400
