=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: aardvark-dns
 Section: net
 Priority: optional
-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
@@ -31,7 +32,7 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.4)
+Depends: ${shlibs:Depends}, ${misc:Depends}, netavark (>> 1.6)
 Enhances: podman
 Description: Container-focused DNS server
  Netavark is designed to work with podman but is also applicable for other OCI
