## aardvark-dns 1.9.0

=== debian/changelog ===
aardvark-dns (1.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 08 Aug 2024 07:46:41 -0400

aardvark-dns (1.9.0-1) experimental; urgency=medium

  * New upstream release: 1.9.0
  * Compile against hickory-server (instead trust-dns)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 08:17:26 -0400
    

aardvark-dns (1.6.0-3) unstable; urgency=medium

  * Compile against async-broadcast 0.7, Closes: #1076357

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 14 Jul 2024 23:42:04 -0400

aardvark-dns (1.6.0-2) unstable; urgency=medium

  * Fix test failure with rustc 1.72, Closes: #1073399

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Jul 2024 08:49:05 -0400
