=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: aardvark-dns
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Reinhard Tartler <siretart@tauware.de>
+Maintainer: Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 13),
  dh-cargo (>= 25),
  cargo:native <!nocheck>,
@@ -19,15 +18,15 @@
  librust-termcolor-dev,
  librust-textwrap-dev,
  librust-tokio+full-dev,
- librust-trust-dns-client-dev,
- librust-trust-dns-proto-dev,
- librust-trust-dns-server-dev,
+ librust-hickory-client-dev,
+ librust-hickory-proto-dev,
+ librust-hickory-server-dev,
  libstd-rust-dev <!nocheck>,
  rustc:native <!nocheck>,
 Standards-Version: 4.6.1
-Homepage: https://github.com/containers/netavark
-Vcs-Browser: https://salsa.debian.org/debian/netavark
-Vcs-Git: https://salsa.debian.org/debian/netavark.git
+Homepage: https://github.com/containers/aardvark-dns
+Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
+Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
 Rules-Requires-Root: no
 
 Package: aardvark-dns
