## aardvark-dns 1.12.2

=== debian/changelog ===
aardvark-dns (1.12.2-2) unstable; urgency=medium

  [ Peter Michael Green ]
  * Add patch for nix 0.29, Closes: #1085403

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Nov 2024 14:26:51 -0500

aardvark-dns (1.12.2-1) unstable; urgency=medium

  * New upstream relase.
  * Fixes: CVE-2024-8418: TCP connections where not handled correctly
    which allowed a container to block dns queries for other clients on
    the same network, Closes: #1080964
  * Normalize patches with gbp pq
  * Add autopkgtest that runs upstream integration tests

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Sep 2024 20:50:47 -0400

aardvark-dns (1.12.1-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 09:35:56 -0400

aardvark-dns (1.12.1-1) experimental; urgency=medium

  * New upstream release 1.12.1
  * Refresh patches
  * Addjust dependies:
     - rust-arc-swap 1.6
     - rust-flume
     - rust-log
  * Build against nix 0.27
  * Build against tokio 1.35
  * Tighten depends on netavark

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 Aug 2024 08:38:58 -0400
