=== debian/control ===
Source: aardvark-dns
Section: net
Priority: optional
Maintainer: Reinhard Tartler <siretart@tauware.de>
Build-Depends: cargo:native <!nocheck>,
               debhelper-compat (= 13),
               dh-cargo (>= 25),
               librust-anyhow-dev,
               librust-arc-swap-dev,
               librust-async-broadcast-dev,
               librust-chrono-dev,
               librust-clap-4+derive-dev,
               librust-flume-dev,
               librust-futures-util-dev,
               librust-hickory-client-dev,
               librust-hickory-proto-dev,
               librust-hickory-server-dev,
               librust-nix-0.29-dev,
               librust-resolv-conf-dev,
               librust-signal-hook-dev,
               librust-strsim-dev,
               librust-syslog-dev,
               librust-termcolor-dev,
               librust-textwrap-dev,
               librust-tokio+full-dev,
               libstd-rust-dev <!nocheck>,
               rustc:native <!nocheck>
Standards-Version: 4.7.0
Homepage: https://github.com/containers/aardvark-dns
Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
Rules-Requires-Root: no

Package: aardvark-dns
Architecture: any
Depends: netavark (>> 1.12), ${misc:Depends}, ${shlibs:Depends}
Enhances: podman
Description: Container-focused DNS server
 Netavark is designed to work with podman but is also applicable for other OCI
 container management applications.
