=== debian/tests/control ===
Test-Command: env AARDVARK=/usr/lib/podman/aardvark-dns NETAVARK=/usr/lib/podman/netavark bats --no-tempdir-cleanup --print-output-on-failure test/
Depends: bats,
         bind9-dnsutils,
         firewalld,
         ipcalc,
         iproute2,
         iptables,
         iputils-ping,
         jq,
         ncat,
         netavark (>> 1.12),
         nftables,
         slirp4netns,
         util-linux,
         @
Restrictions: allow-stderr, needs-root, isolation-machine
