## aardvark-dns 1.14.0

=== debian/changelog ===
aardvark-dns (1.14.0-3) unstable; urgency=medium

  * Fix autopkgtests: replace slirp4netns with dnsmasq, following
    https://salsa.debian.org/debian/aardvark-dns/-/commit/e6ce7106602623

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Mar 2025 08:15:22 -0400

aardvark-dns (1.14.0-2) unstable; urgency=medium

  * Bump Standards Version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2025 16:42:12 -0400

aardvark-dns (1.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2025 08:14:13 -0400
