=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                librust-tokio+full-dev,
                libstd-rust-dev <!nocheck>,
                rustc:native <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/aardvark-dns
 Vcs-Browser: https://salsa.debian.org/debian/aardvark-dns
 Vcs-Git: https://salsa.debian.org/debian/aardvark-dns.git
@@ -33,7 +33,7 @@
 
 Package: aardvark-dns
 Architecture: any
-Depends: netavark (>> 1.12), ${misc:Depends}, ${shlibs:Depends}
+Depends: netavark (>> 1.14), ${misc:Depends}, ${shlibs:Depends}
 Enhances: podman
 Description: Container-focused DNS server
  Netavark is designed to work with podman but is also applicable for other OCI
