## aardvark-dns 1.16.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,9 @@
 # Set this to any non-empty string to enable unoptimized
 # build w/ debugging features.
 debug ?=
+
+# Set path to cargo executable, when running under CI make sure to add --locked so Cargo.lock is not modified
+CARGO ?= cargo $(if $(CI),--locked,)
 
 # All complication artifacts, including dependencies and intermediates
 # will be stored here, for all architectures.  Use a non-default name
@@ -47,22 +50,23 @@
 
 .PHONY: build
 build: bin $(CARGO_TARGET_DIR)
-	cargo build $(release)
+	$(CARGO) build $(release)
 	cp $(CARGO_TARGET_DIR)/$(profile)/aardvark-dns bin/aardvark-dns$(if $(debug),.debug,)
 
 .PHONY: crate-publish
 crate-publish:
-	@if [ "$(CRATE_VERSION)" != "$(GIT_TAG)" ]; then\
+	@if [ "v$(CRATE_VERSION)" != "$(GIT_TAG)" ]; then\
 		echo "Git tag is not equivalent to the version set in Cargo.toml. Please checkout the correct tag";\
 		exit 1;\
 	fi
 	@echo "It is expected that you have already done 'cargo login' before running this command. If not command may fail later"
-	cargo publish --dry-run
-	cargo publish
+	$(CARGO) publish --dry-run
+	$(CARGO) publish
 
 .PHONY: clean
 clean:
 	rm -rf bin
+	rm -rf vendor-tarball
 	if [ "$(CARGO_TARGET_DIR)" = "targets" ]; then rm -rf targets; fi
 	$(MAKE) -C docs clean
 
@@ -86,18 +90,18 @@
 # Used by CI to compile the unit tests but not run them
 .PHONY: build_unit
 build_unit: $(CARGO_TARGET_DIR)
-	cargo test --no-run
+	$(CARGO) test --no-run
 
 #.PHONY: unit
 unit: $(CARGO_TARGET_DIR)
-	cargo test
+	$(CARGO) test
 
 #.PHONY: code_coverage
 # Can be used by CI and users to generate code coverage report based on aardvark unit tests
 code_coverage: $(CARGO_TARGET_DIR)
 	# Downloads tarpaulin only if same version is not present on local
-	cargo install cargo-tarpaulin
-	cargo tarpaulin -v
+	$(CARGO) install cargo-tarpaulin
+	$(CARGO) tarpaulin -v
 
 #.PHONY: integration
 integration: $(CARGO_TARGET_DIR)
@@ -110,20 +114,22 @@
 
 .PHONY: validate
 validate: $(CARGO_TARGET_DIR)
-	cargo fmt --all -- --check
-	cargo clippy -p aardvark-dns -- -D warnings
+	$(CARGO) fmt --all -- --check
+	$(CARGO) clippy -p aardvark-dns -- -D warnings
 
 .PHONY: vendor-tarball
 vendor-tarball: build install.cargo-vendor-filterer
 	VERSION=$(shell bin/aardvark-dns --version | cut -f2 -d" ") && \
-	cargo vendor-filterer '--platform=*-unknown-linux-*' --format=tar.gz --prefix vendor/ && \
-	mv vendor.tar.gz aardvark-dns-v$$VERSION-vendor.tar.gz && \
-	gzip -c bin/aardvark-dns > aardvark-dns.gz && \
+	$(CARGO) vendor-filterer --format=tar.gz --prefix vendor/ && \
+	mkdir -p vendor-tarball && \
+	mv vendor.tar.gz vendor-tarball/aardvark-dns-v$$VERSION-vendor.tar.gz && \
+	gzip -c bin/aardvark-dns > vendor-tarball/aardvark-dns.gz && \
+	cd vendor-tarball && \
 	sha256sum aardvark-dns.gz aardvark-dns-v$$VERSION-vendor.tar.gz > sha256sum
 
 .PHONY: install.cargo-vendor-filterer
 install.cargo-vendor-filterer:
-	cargo install cargo-vendor-filterer
+	$(CARGO) install cargo-vendor-filterer
 
 .PHONY: help
 help:
