=== debian/changelog ===
aardvark-dns (1.16.0-2) unstable; urgency=medium

  * compile against nix 0.30, Closes: #1116312

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Oct 2025 05:51:13 -0400

aardvark-dns (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches:
    - build against nix 0.29
    - build against hickory 0.24
    - build against clap 4.5.23
    - build against syslog 6
    - build against chrono 0.4.39

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Sep 2025 19:43:30 -0400
