=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                librust-hickory-client-dev,
                librust-hickory-proto-dev,
                librust-hickory-server-dev,
-               librust-nix-0.29-dev,
+               librust-nix-0.30-dev,
                librust-resolv-conf-dev,
                librust-signal-hook-dev,
                librust-strsim-dev,
